## lua-lemock 0.6

=== CMakeLists.txt ===
# Copyright (C) 2011-2012 LuaDist.
# Created by Peter Kapec
# Redistribution and use of this file is allowed according to the terms of the MIT license.
# For details see the COPYRIGHT file distributed with LuaDist.
# Please note that the package source code is licensed under its own license.

project ( lemock NONE )
cmake_minimum_required ( VERSION 2.8 )
include ( cmake/dist.cmake )
include ( lua )

# Install all files and documentation
install_lua_module ( lemock build/lemock.lua )
install_doc ( build/htdocs/ )

=== debian/changelog ===
lua-lemock (0.6-3) unstable; urgency=medium

  * remove support for lua5.2

 -- Victor Seva <vseva@debian.org>  Thu, 02 Apr 2020 13:41:37 +0200

lua-lemock (0.6-2) unstable; urgency=medium

  * add lua5.2 support
  * debian/watch: fix regex to avoid false positives
  * debhelper-compat 12, wrap-and-sort -sat, update Vcs-* to salsa

 -- Victor Seva <vseva@debian.org>  Thu, 02 Apr 2020 11:04:16 +0200

lua-lemock (0.6-1) unstable; urgency=low

  [ Victor Seva ]
  * Initial release. (Closes: #707713)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 20 May 2013 17:19:32 +0200

=== debian/control ===
Source: lua-lemock
Section: interpreters
Priority: optional
Maintainer: Victor Seva <vseva@debian.org>
Uploaders:
 Enrico Tassi <gareuselesinge@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-lua (>= 16~),
Standards-Version: 4.5.0.1
Vcs-Git: https://salsa.debian.org/lua-team/lua-lemock.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-lemock/
Homepage: http://lemock.luaforge.net/README.html

Package: lua-lemock
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
Suggests:
 lua-unit,
XB-Lua-Versions: ${lua:Versions}
Description: LeMock (Lua Easy Mock) for unit test
 LeMock is a mock creation module intended for use together
 with a unit test framework such as lua-unit. It is inspired by
 EasyMock (for Java), and strives to be easy to use.

Package: lua-lemock-dev
Section: libdevel
Architecture: all
Depends:
 lua-lemock (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: LeMock (Lua Easy Mock) for unit test
 LeMock is a mock creation module intended for use together
 with a unit test framework such as lua-unit. It is inspired by
 EasyMock (for Java), and strives to be easy to use.
 .
 This package contains docs and test files.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/LuaDist/lemock/tags .*/v?([\d+.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
